Skip to main content
`Ctrl`+`K`

# TaoBRGNSetDictionaryMatrix

bind the dictionary matrix from user application context to gn->D, for compressed sensing (with least-squares problem)

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoBRGNSetDictionaryMatrix(Tao tao, Mat dict)

## Input Parameters

- tao - the `Tao` context

- dict - the user specified dictionary matrix. We allow to set a `NULL` dictionary, which means identity matrix by default

## See Also

`Tao`, `Mat`, `TAOBRGN`

## Level

advanced

## Location

src/tao/leastsquares/impls/brgn/brgn.c

## Examples

src/tao/leastsquares/tutorials/cs1.c
src/tao/leastsquares/tutorials/tomography.c

## Implementations

TaoBRGNSetDictionaryMatrix_BRGN() in src/tao/leastsquares/impls/brgn/brgn.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages